App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
mhr.appcore.interpolators.InterpolatorType Enum Reference

Určuje nativný typ interpolátoru, odpovídá nativnímu enumu. More...

## Public Member Functions
int | getValue ()
| Vrátí hodnotu, která odpovídá hodnotě nativního enumu.

## Static Public Member Functions
| [static initializer]
static InterpolatorType | fromValue (int nativeValue)
| Vrátí hodnotu výčtu, která odpovídá hodnotě nativního výčtu.

## Public Attributes
| INVALID_TYPE =(0)
| NEAREST_NEIGHBOUR =(1)
| LINEAR_INTERPOLATOR =(2)
| CUBIC_INTERPOLATOR =(3)

## Private Member Functions
| InterpolatorType (int nativeEnumValue)
| Výchozí konstruktor, inicializuje odpovídající nativní hodnotu.

## Private Attributes
final int | nativeEnumValue
| Hodnota odpovídající hodnotě nativního enumu.

## Static Private Attributes
staticfinal InterpolatorType[] | lut = new InterpolatorType[5]
| LUT tabulka pro rychlý překlad.

## Detailed Description

Určuje nativný typ interpolátoru, odpovídá nativnímu enumu.

Definition at line 6 of file InterpolatorType.java.

## Constructor & Destructor Documentation

mhr.appcore.interpolators.InterpolatorType.InterpolatorType | ( | int | nativeEnumValue | ) |
| inlineprivate

Výchozí konstruktor, inicializuje odpovídající nativní hodnotu.

Parameters

  nativeEnumValue |

Definition at line 23 of file InterpolatorType.java.

{
this.nativeEnumValue = nativeEnumValue;
}

## Member Function Documentation

mhr.appcore.interpolators.InterpolatorType.[static initializer] | ( |  | ) |
| inlinestatic

static InterpolatorType mhr.appcore.interpolators.InterpolatorType.fromValue | ( | int | nativeValue | ) |
| inlinestatic

Vrátí hodnotu výčtu, která odpovídá hodnotě nativního výčtu.

Parameters

  nativeValue |

Returns

Definition at line 40 of file InterpolatorType.java.

{
try {
return lut[nativeValue];
} catch (IndexOutOfBoundsException exc) {
return InterpolatorType.INVALID_TYPE;
}
}

int mhr.appcore.interpolators.InterpolatorType.getValue | ( |  | ) |
| inline

Vrátí hodnotu, která odpovídá hodnotě nativního enumu.

Returns

Definition at line 31 of file InterpolatorType.java.

{
return nativeEnumValue;
}

## Member Data Documentation

mhr.appcore.interpolators.InterpolatorType.CUBIC_INTERPOLATOR =(3)

Definition at line 8 of file InterpolatorType.java.

mhr.appcore.interpolators.InterpolatorType.INVALID_TYPE =(0)

Definition at line 8 of file InterpolatorType.java.

mhr.appcore.interpolators.InterpolatorType.LINEAR_INTERPOLATOR =(2)

Definition at line 8 of file InterpolatorType.java.

static final InterpolatorType [] mhr.appcore.interpolators.InterpolatorType.lut = new InterpolatorType[5]
| staticprivate

LUT tabulka pro rychlý překlad.

Definition at line 10 of file InterpolatorType.java.

final int mhr.appcore.interpolators.InterpolatorType.nativeEnumValue
| private

Hodnota odpovídající hodnotě nativního enumu.

Definition at line 17 of file InterpolatorType.java.

mhr.appcore.interpolators.InterpolatorType.NEAREST_NEIGHBOUR =(1)

Definition at line 8 of file InterpolatorType.java.

The documentation for this enum was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/interpolators/InterpolatorType.java